import ApolloClient from "apollo-client";
import { BatchHttpLink } from "apollo-link-batch-http";
export interface CreateApolloClientParams {
    uri: string;
    batching?: Pick<BatchHttpLink.Options, "batchMax" | "batchInterval" | "batchKey">;
}
export declare const createApolloClient: ({ uri, batching }: CreateApolloClientParams) => ApolloClient<import("apollo-cache-inmemory").NormalizedCacheObject>;
